/******************************************************************************

Licensed Materials - Property of IBM 

5655-S97 

© Copyright IBM Corp. 2012 

This source material is provided "AS-IS" under the terms and
conditions of the IBM Customer Agreement and of the associated
Licensed Program Specifications documentation for CICS Transaction
Server for z/OS.

The terms and conditions of this license permit users to modify this
source material and DO NOT provide for any entitlement to defect
correction.

******************************************************************************/
package $packageName$;

import org.eclipse.ui.IStartup;

import com.ibm.cics.core.comm.AbstractConnectable;
import com.ibm.cics.core.comm.IConnection;
import com.ibm.cics.core.connections.ConnectionsPlugin;

public class TelnetCategoryRegistration implements IStartup {

	@Override
	public void earlyStartup() {

		ConnectionsPlugin.getDefault().getConnectionService().setConnectable(TelnetConnection.CATEGORY, new AbstractConnectable() {			
			@Override
			public Class<? extends IConnection> getConnectionType() {
				return ITelnetConnection.class;
			}
		});
		
	}

}
